Sign inGet started

Sender Profiles

GET
/workspaces/{workspaceId}/sender-profiles
Retrieve a list of sender profiles associated with the account
Parametry zapytania
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Treść odpowiedzi
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.id
string
wymagane
results.name
string
wymagane
results.email
object
Pokaż atrybuty podrzędne
results.email.username
string
wymagane
results.email.domain
string
wymagane
results.allowedEntities
array of object
Pokaż atrybuty podrzędne
results.allowedEntities.entityType
string
wymagane
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
wymagane
results.channelId
string
wymagane
results.signature
string
results.createdAt
string
wymagane
results.updatedAt
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/sender-profiles
Create a new sender profile, defining its name, and other attributes.
Treść żądania
name
string
wymagane
username
string
allowedEntities
array of object
Pokaż parametry podrzędne
allowedEntities.entityType
string
wymagane
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
wymagane
channelId
string
wymagane
signature
string
Przykład kodu
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Retrieve information about a specific sender profile, including its name, and other attributes.
Treść odpowiedzi
id
string
wymagane
name
string
wymagane
email
object
Pokaż atrybuty podrzędne
email.username
string
wymagane
email.domain
string
wymagane
allowedEntities
array of object
Pokaż atrybuty podrzędne
allowedEntities.entityType
string
wymagane
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
wymagane
channelId
string
wymagane
signature
string
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Modify the details of a specific sender profile, such as its name or other attributes.
Treść żądania
name
string
username
string
signature
string
allowedEntities
array of object
Pokaż parametry podrzędne
allowedEntities.entityType
string
wymagane
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
wymagane
channelId
string
Treść odpowiedzi
id
string
wymagane
name
string
wymagane
email
object
Pokaż atrybuty podrzędne
email.username
string
wymagane
email.domain
string
wymagane
allowedEntities
array of object
Pokaż atrybuty podrzędne
allowedEntities.entityType
string
wymagane
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
wymagane
channelId
string
wymagane
signature
string
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Remove a specific sender profile.
Przykład kodu
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/sender-profiles/signature-variables
Retrieve a list of variables to use for signature configuration in sender profile.
Treść odpowiedzi
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.id
string
results.name
string
results.defaultDescription
string
results.variable
string
results.category
string
results.replacementAttribute
string
results.langDescription
object
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/signature-variables' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/users/{userId}/sender-profiles
Retrieve a list of sender profiles associated with a user.
Parametry zapytania
channelId
string
Filter by channelId
Treść odpowiedzi
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.id
string
wymagane
results.name
string
wymagane
results.email
object
Pokaż atrybuty podrzędne
results.email.username
string
wymagane
results.email.domain
string
wymagane
results.allowedEntities
array of object
Pokaż atrybuty podrzędne
results.allowedEntities.entityType
string
wymagane
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
wymagane
results.channelId
string
wymagane
results.signature
string
results.createdAt
string
wymagane
results.updatedAt
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/users/{userId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'